View Issue Details

IDProjectCategoryView StatusLast Update
0001572ArchBugpublic2014-08-05 21:51
ReporteryorikAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.15Fixed in Version0.15 
Summary0001572: Arch Survey tool doesn't respect unit choice
DescriptionUnits should be displayed according to preferences
TagsNo tags attached.

Activities

yorik

2014-06-06 22:32

administrator   ~0004739

Aditionally, solve the compound with no center of mass problem http://forum.freecadweb.org/viewtopic.php?f=9&t=5659&p=54886#p54886

yorik

2014-06-07 19:29

administrator   ~0004742

Commit 92a565f6 solves this on the Arch module side, but the m/s/kg units scheme of FreeCAD still shows areas and volumes in square/cubic millimeters.

yorik

2014-08-05 21:51

administrator   ~0004922

Now everything works according to the units schema.

Related Changesets

FreeCAD: master 92a565f6

2014-06-07 17:09:58

yorik

Details Diff
Arch: Misc fixes

* Allow to export subtractions as separate elements in IFC
* Fixed Survey tool
* Removed unused Arch preferences
Affected Issues
0001572
mod - src/Mod/Arch/ArchCommands.py Diff File
mod - src/Mod/Arch/Arch_rc.py Diff File
mod - src/Mod/Arch/Resources/ui/archprefs-import.ui Diff File
mod - src/Mod/Arch/ifcWriter.py Diff File
mod - src/Mod/Arch/importIFC.py Diff File

FreeCAD: master 62e9b608

2014-08-05 00:16:10

yorik

Details Diff
Added a couple of missing units in MKS schema Affected Issues
0001572
mod - src/Base/UnitsSchemaMKS.cpp Diff File

Issue History

Date Modified Username Field Change
2014-06-05 18:32 yorik New Issue
2014-06-05 18:32 yorik Status new => assigned
2014-06-05 18:32 yorik Assigned To => yorik
2014-06-05 18:32 yorik Project FreeCAD => Arch
2014-06-06 22:32 yorik Note Added: 0004739
2014-06-07 19:28 yorik Changeset attached => FreeCAD Master master 92a565f6
2014-06-07 19:29 yorik Note Added: 0004742
2014-07-06 15:26 yorik Target Version => 0.15
2014-08-05 21:50 yorik Changeset attached => FreeCAD Master master 62e9b608
2014-08-05 21:51 yorik Note Added: 0004922
2014-08-05 21:51 yorik Status assigned => closed
2014-08-05 21:51 yorik Resolution open => fixed
2014-08-05 21:51 yorik Fixed in Version => 0.15